## org.w3c.www.http
Class HttpParserException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.w3c.www.mime.MimeParserException
                        |
                        +--org.w3c.www.http.HttpParserException

public class HttpParserException
extends MimeParserException

See Also:
  Serialized Form

Constructor Summary
`HttpParserException(java.lang.String msg)`
`HttpParserException(java.lang.String msg, HttpRequestMessage req)`

Method Summary
`HttpRequestMessage` | `getRequest()`
`boolean` | `hasRequest()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpParserException

    public HttpParserException(java.lang.String msg)

### HttpParserException

    public HttpParserException(java.lang.String msg,
                               HttpRequestMessage req)

Method Detail

### hasRequest

    public boolean hasRequest()

### getRequest

    public HttpRequestMessage getRequest()